Loading...
Searching...
No Matches
navier_stokes_criterion.icc

The Navier-Stokes equations – adaptive mesh criterion.

The Navier-Stokes equations – adaptive mesh criterion

field navier_stokes_criterion (Float Re, const field& uh) {
space T0h (uh.get_geo(), "P1d");
return lazy_interpolate (T0h, sqrt(Re*norm2(uh) + 4*norm2(D(uh))));
}
Float
see the Float page for the full documentation
field
see the field page for the full documentation
space
see the space page for the full documentation
navier_stokes_criterion
field navier_stokes_criterion(Float Re, const field &uh)
Definition navier_stokes_criterion.icc:25